List Brand Standards
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"categoryName": "<string>",
"templateFamilyId": "<string>",
"productTypeId": "<string>",
"productTypeName": "<string>",
"columnsAttributes": {},
"templateFamilyColumnsAttributes": {},
"status": "draft",
"templateFamilyVersion": 123,
"itemsCount": 123,
"materialsCount": 123,
"partsCount": 123,
"componentsCount": 123,
"linkedItemsCount": 123,
"lastLinkedAt": "<string>",
"projectsCount": 123,
"projectNames": [
"<string>"
],
"collectionsCount": 123,
"collectionNames": [
"<string>"
],
"lastUsedProjectName": "<string>",
"position": 123,
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"familyCode": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true,
"totalItems": 123
}Brand Standards
List Brand Standards
GET
/
v1
/
workspaces
/
{workspaceId}
/
brand-standards
List Brand Standards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
draft, new_from_project, new_from_collection, ready_to_use Required range:
1 <= x <= 100Pattern:
^\d+$Maximum string length:
255Available options:
createdAt, position, refNumber Available options:
asc, desc ⌘I